From 4af569b1675b24a667b32fa0259eca0c4cf1e1ba Mon Sep 17 00:00:00 2001
From: Balearica <admin@scribeocr.com>
Date: Thu, 28 Sep 2023 00:24:10 -0700
Subject: [PATCH 3/5] Removed node: prefixes to restore compatability with
 Node.js v14

---
 benchmarks/node/speed-benchmark.js | 2 +-
 examples/node/download-pdf.js      | 4 ++--
 examples/node/image-processing.js  | 4 ++--
 examples/node/recognize.js         | 2 +-
 scripts/server.js                  | 2 +-
 scripts/test-helper.js             | 4 ++--
 scripts/webpack.config.prod.js     | 2 +-
 src/worker-script/node/cache.js    | 4 ++--
 src/worker-script/node/gunzip.js   | 2 +-
 src/worker-script/node/index.js    | 2 +-
 src/worker/node/defaultOptions.js  | 2 +-
 src/worker/node/loadImage.js       | 4 ++--
 src/worker/node/spawnWorker.js     | 2 +-
 13 files changed, 18 insertions(+), 18 deletions(-)

diff --git a/benchmarks/node/speed-benchmark.js b/benchmarks/node/speed-benchmark.js
index 3589c041..8da5dab1 100644
--- a/benchmarks/node/speed-benchmark.js
+++ b/benchmarks/node/speed-benchmark.js
@@ -1,5 +1,5 @@
 #!/usr/bin/env node
-const path = require('node:path');
+const path = require('path');
 const { createWorker } = require('../../');
 
 (async () => {
diff --git a/examples/node/download-pdf.js b/examples/node/download-pdf.js
index b137bfc2..8835c8a3 100755
--- a/examples/node/download-pdf.js
+++ b/examples/node/download-pdf.js
@@ -1,6 +1,6 @@
 #!/usr/bin/env node
-const path = require('node:path');
-const fs = require('node:fs');
+const path = require('path');
+const fs = require('fs');
 const { createWorker } = require('../../');
 
 const [,, imagePath] = process.argv;
diff --git a/examples/node/image-processing.js b/examples/node/image-processing.js
index f9c049a8..351575bd 100755
--- a/examples/node/image-processing.js
+++ b/examples/node/image-processing.js
@@ -1,6 +1,6 @@
 #!/usr/bin/env node
-const path = require('node:path');
-const fs = require('node:fs');
+const path = require('path');
+const fs = require('fs');
 const { createWorker } = require('../../');
 
 const [,, imagePath] = process.argv;
diff --git a/examples/node/recognize.js b/examples/node/recognize.js
index 1577ee11..03754d35 100755
--- a/examples/node/recognize.js
+++ b/examples/node/recognize.js
@@ -1,5 +1,5 @@
 #!/usr/bin/env node
-const path = require('node:path');
+const path = require('path');
 const { createWorker } = require('../../');
 
 const [,, imagePath] = process.argv;
diff --git a/scripts/server.js b/scripts/server.js
index 9aa4c67d..77a3d1ef 100644
--- a/scripts/server.js
+++ b/scripts/server.js
@@ -1,7 +1,7 @@
 const webpack = require('webpack');
 const middleware = require('webpack-dev-middleware');
 const express = require('express');
-const path = require('node:path');
+const path = require('path');
 const cors = require('cors');
 const webpackConfig = require('./webpack.config.prod');
 
diff --git a/scripts/test-helper.js b/scripts/test-helper.js
index 3a2b3975..027b3006 100644
--- a/scripts/test-helper.js
+++ b/scripts/test-helper.js
@@ -1,7 +1,7 @@
 const constants = require('../tests/constants');
 global.expect = require('expect.js');
-global.fs = require('node:fs');
-global.path = require('node:path');
+global.fs = require('fs');
+global.path = require('path');
 global.Tesseract = require('../src');
 
 Object.keys(constants).forEach((key) => {
diff --git a/scripts/webpack.config.prod.js b/scripts/webpack.config.prod.js
index b92d5e3a..e581df7a 100644
--- a/scripts/webpack.config.prod.js
+++ b/scripts/webpack.config.prod.js
@@ -1,4 +1,4 @@
-const path = require('node:path');
+const path = require('path');
 const common = require('./webpack.config.common');
 const webpack = require('webpack');
 
diff --git a/src/worker-script/node/cache.js b/src/worker-script/node/cache.js
index fd6bab6b..e04809e2 100644
--- a/src/worker-script/node/cache.js
+++ b/src/worker-script/node/cache.js
@@ -1,5 +1,5 @@
-const util = require('node:util');
-const fs = require('node:fs');
+const util = require('util');
+const fs = require('fs');
 
 module.exports = {
   readCache: util.promisify(fs.readFile),
diff --git a/src/worker-script/node/gunzip.js b/src/worker-script/node/gunzip.js
index 40f32949..4f2e0e0c 100644
--- a/src/worker-script/node/gunzip.js
+++ b/src/worker-script/node/gunzip.js
@@ -1 +1 @@
-module.exports = require('node:zlib').gunzipSync;
+module.exports = require('zlib').gunzipSync;
diff --git a/src/worker-script/node/index.js b/src/worker-script/node/index.js
index fb187b05..c00dba73 100644
--- a/src/worker-script/node/index.js
+++ b/src/worker-script/node/index.js
@@ -9,7 +9,7 @@
  */
 
 const fetch = require('node-fetch');
-const { parentPort } = require('node:worker_threads');
+const { parentPort } = require('worker_threads');
 const worker = require('..');
 const getCore = require('./getCore');
 const gunzip = require('./gunzip');
diff --git a/src/worker/node/defaultOptions.js b/src/worker/node/defaultOptions.js
index 498714c4..053c1e3e 100644
--- a/src/worker/node/defaultOptions.js
+++ b/src/worker/node/defaultOptions.js
@@ -1,4 +1,4 @@
-const path = require('node:path');
+const path = require('path');
 const defaultOptions = require('../../constants/defaultOptions');
 
 /*
diff --git a/src/worker/node/loadImage.js b/src/worker/node/loadImage.js
index 07d684e8..0b5a660f 100644
--- a/src/worker/node/loadImage.js
+++ b/src/worker/node/loadImage.js
@@ -1,5 +1,5 @@
-const util = require('node:util');
-const fs = require('node:fs');
+const util = require('util');
+const fs = require('fs');
 const fetch = require('node-fetch');
 const isURL = require('is-url');
 
diff --git a/src/worker/node/spawnWorker.js b/src/worker/node/spawnWorker.js
index c26537d1..9723c183 100644
--- a/src/worker/node/spawnWorker.js
+++ b/src/worker/node/spawnWorker.js
@@ -1,4 +1,4 @@
-const { Worker } = require('node:worker_threads');
+const { Worker } = require('worker_threads');
 
 /**
  * spawnWorker

